local thisModule
local moduleName = "Module3"



local function onStart(areUnitsAndPlayersInitialized)
    if areUnitsAndPlayersInitialized == true then
        local err, var1 = ATME.C_GroupSpawnDatas.duplicateFromMissionDatas("origine", "copy0")
        if err == false then
            var1:spawn("spawnZone")
        end
    end
end


-- MAIN
do
    local newHandlers = {
        onCreatePlayerHandler = nil,
        onDeletePlayerHandler = nil,
        onUpdatePlayerHandler = nil,
        onTakeoffPlayerHandler = nil,
        onLandingPlayerHandler = nil,
        onStartEnginePlayerHandler = nil,
        onStopEnginePlayerHandler = nil,
        
        onCreateAIUnitHandler = nil,
        onDeleteAIUnitHandler = nil,
        onDisableAIUnitHandler = nil,
        onTakeoffAIUnitHandler = nil,
        onLandingAIUnitHandler = nil,
        onStartEngineAIUnitHandler = nil,
        onStopEngineAIUnitHandler = nil,
        
        onCreateGroupHandler = nil,
        onDeleteGroupHandler = nil,
        onDisableGroupHandler = nil,
        
        onCreateStaticObjectHandler = nil,
        onDeleteStaticObjectHandler = nil,
    
        onTimerHandler = nil,
        onModuleStartHandler = onStart,
    }
        
    thisModule = ATME.C_Module(moduleName, newHandlers, true)
end
